﻿using C1.DataCollection;
using System.Collections.ObjectModel;

namespace FlexGridMauiPaging;

public partial class MainPage : ContentPage
{
    ObservableCollection<Product> Products;
    C1PagedDataCollection<Product> _pagedDataCollection;
    public MainPage()
	{
		InitializeComponent();
        Products= new ObservableCollection<Product>();
        var random = new Random();
        for (int i = 0; i < 50; i++)
        {
            Products.Add(new Product() { Id = i, Name = "Product " + i, IsDelivered = (random.Next(0, 2) == 0) ? true : false });
        }
        _pagedDataCollection = new C1PagedDataCollection<Product>(Products) { PageSize = 10 };
        grid.ItemsSource = _pagedDataCollection;
    }


    private void Previous_Clicked(object sender, EventArgs e)
    {
        if (_pagedDataCollection.CurrentPage > 0)
            _pagedDataCollection.MoveToPageAsync(_pagedDataCollection.CurrentPage - 1);
    }

    private void Next_Clicked(object sender, EventArgs e)
    {
        if (_pagedDataCollection.CurrentPage < _pagedDataCollection.PagesCount - 1)
            _pagedDataCollection.MoveToPageAsync(_pagedDataCollection.CurrentPage + 1);
    }
}
public class Product
{
    public int Id { get; set; }
    public string Name { get; set; }
    public bool IsDelivered { get; set; }
}

